%if 0%{?el7}
%define dist .el7
%endif

%{!?_unitdir: %global _unitdir /lib/systemd/system}

Name:           clamav-unofficial-sigs
Version:        5.0.3
Release:        1%{?dist}
Summary:        Scripts to download unoffical clamav signatures 
Group:          Applications/System
License:        BSD
#URL:            http://unofficial-sigs.sourceforge.net/
#Source0:        http://sourceforge.net/projects/unofficial-sigs/files/%%{name}-%%{version}.tar.gz
URL:            https://github.com/extremeshok/clamav-unofficial-sigs
Source0:        https://github.com/extremeshok/%{name}/archive/%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       clamav clamav-update rsync gnupg diffutils curl bind-utils

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
This package contains scripts and configuration files
that provide the capability to download, test, and 
update the 3rd-party signature databases provide by 
Sanesecurity, SecuriteInfo, MalwarePatrol, OITC, 
INetMsg and ScamNailer.

%prep
%setup -q
%if 0%{?el6}
sed -i -e 's:/usr/local/bin/:/usr/bin/:' \
    -e's:-c /usr/local/etc/clamav-unofficial-sigs.conf:\&>/dev/null:' cron.d/clamav-unofficial-sigs
%else
sed -i -e 's:/usr/local/bin/:/usr/bin/:' systemd/clamav-unofficial-sigs.service
%endif
sed -i -e 's:"clamav":"clamupdate":' \
    -e 's:/var/run/clamd.pid:/var/run/clamd.scan/clamd.pid:' config/master.conf
sed -i 's:root:clamupdate:g' logrotate.d/clamav-unofficial-sigs
sed -i 's:default_config="/etc/clamav-unofficial-sigs.conf":default_config="/etc/clamav-unofficial-sigs/clamav-unofficial-sigs.conf":' clamav-unofficial-sigs.sh

%build
#nothing to do here

%install
rm -rf $RPM_BUILD_ROOT
install -d -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
%if 0%{?el6}
install -d -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
install -p -m0644 cron.d/clamav-unofficial-sigs $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/clamav-unofficial-sigs
%else
install -d -p $RPM_BUILD_ROOT%{_unitdir}
install -p -m0644 systemd/clamav-unofficial-sigs.service $RPM_BUILD_ROOT%{_unitdir}/clamav-unofficial-sigs.service
install -p -m0644 systemd/clamav-unofficial-sigs.timer $RPM_BUILD_ROOT%{_unitdir}/clamav-unofficial-sigs.timer
install -p -m0644 systemd/clamd.scan.service $RPM_BUILD_ROOT%{_unitdir}/clamd.scan.service
%endif
install -d -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -d -p $RPM_BUILD_ROOT%{_bindir}
install -d -p $RPM_BUILD_ROOT%{_mandir}/man8
install -d -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
install -d -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
install -d -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/ham-test
install -p -m0755 clamav-unofficial-sigs.sh $RPM_BUILD_ROOT%{_bindir}/clamav-unofficial-sigs.sh
install -p -m0644 logrotate.d/clamav-unofficial-sigs $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/clamav-unofficial-sigs
install -p -m0644 clamav-unofficial-sigs.8 $RPM_BUILD_ROOT%{_mandir}/man8/clamav-unofficial-sigs.8
pushd $RPM_BUILD_ROOT%{_mandir}/man8/
ln -s clamav-unofficial-sigs.8 clamav-unofficial-sigs.sh.8
popd
install -p -m0644 config/master.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/master.conf
install -p -m0644 config/user.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/user.conf
%if 0%{?el6}
install -p -m0644 config/os.centos6.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/os.conf
%else
install -p -m0644 config/os.centos7.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/os.conf
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.md INSTALL
%{!?_licensedir:%global license %%doc}
%license LICENSE
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%if 0%{?el6}
%config(noreplace) %{_sysconfdir}/cron.d/*
%else
%{_unitdir}/clamav-unofficial-sigs.*
%{_unitdir}/clamd.scan.service
%endif
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%{_bindir}/*
%{_mandir}/man8/*
%attr(0755,clamupdate,clamupdate) %dir %{_localstatedir}/log/%{name}
%attr(0755,clamupdate,clamupdate) %dir %{_localstatedir}/lib/%{name}
%attr(0755,clamupdate,clamupdate) %dir %{_localstatedir}/lib/%{name}/ham-test

%changelog
* Mon Mar 28 2016 momo-i <webmaster@momo-i.org> - 5.0.3-1
- Update to 5.0.3

* Wed Dec 09 2015 momo-i <webmaster@momo-i.org> - 4.9.2-1
- Update to 4.9.2

* Wed Dec 02 2015 momo-i <webmaster@momo-i.org> - 4.9.1-1
- Update to 4.9.1

* Wed Nov 25 2015 momo-i <webmaster@momo-i.org> - 4.9-1
- Update to 4.9

* Tue Oct 27 2015 momo-i <webmaster@momo-i.org> - 4.7-1
- Update to 4.7

* Fri Oct 16 2015 momo-i <webmaster@momo-i.org> - 4.6.1-1
- Update to 4.6.1

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 4.5.3-13
- Update dist for centos7

* Thu Aug 13 2015 momo-i <webmaster@momo-i.org> - 4.5.3-12
- Update to 4.5.3

* Wed Aug 12 2015 momo-i <webmaster@momo-i.org> - 4.5.2-12
- Update to 4.5.2

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 4.5.1-12
- Rebuilt for fc23

* Mon Jul 27 2015 momo-i <webmaster@momo-i.org> - 4.5.1-11
- Update to 4.5.1

* Fri Jul 03 2015 momo-i <webmaster@momo-i.org> - 4.5.0-11
- Update to 4.5.0

* Tue Jun 09 2015 momo-i <webmaster@momo-i.org> - 4.4.4-11
- Fixed unchanged settings

* Tue Jun 09 2015 momo-i <webmaster@momo-i.org> - 4.4.4-10
- Update to 4.4.4
- Cleanup changelog

* Thu May 28 2015 momo-i <webmaster@momo-i.org> - 4.4.3-10
- Update to 4.4.3

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 3.7.2-10
- Rebuilt for fc22

* Tue Oct 22 2013 momo-i <webmaster@momo-i.org> - 3.7.2-9
- Update to 3.7.2
